<template>
    <div class="partyt-pagination">
         <el-pagination
            @current-change="handleCurrentChange"
            :current-page.sync="page._index"
            :page-size="page._size"
            layout="prev, pager, next, jumper"
            :total="page.total">
         </el-pagination> 
    </div>
</template>
<script>
export default {
    data(){
        return {
            currentPage:1
        }
    },
    props:{
        page:{
            type: Object,
            default:{
                _index:1,
                _size:10,
                total:0
            }
        }
    },
    methods:{
        handleCurrentChange(val){
           this.$emit('changePage',val)
        }
    }
}
</script>
<style lang="less">
  @import '../style/pagination.less';
</style>